import type { Listener } from '@onfido/capture-shared/EventEmitter';
import type { SdkParameters } from '@onfido/capture-shared/SdkParameters';
import type { CaptureRunEvents } from './Events';
export type Handle = {
    addEventListener: <EventName extends keyof CaptureRunEvents>(eventName: EventName, listener: Listener<CaptureRunEvents[EventName]>) => void;
    removeEventListener: <EventName extends keyof CaptureRunEvents>(eventName: EventName, listener: Listener<CaptureRunEvents[EventName]>) => void;
    tearDown: () => Promise<void>;
};
export declare const backwardCompatibility: (parameter: SdkParameters) => void;
export type OnfidoApi = {
    init: (parameter: SdkParameters) => Handle;
};
export declare const Onfido: OnfidoApi;
