import type { SdkParameters } from '@onfido/capture-shared/SdkParameters';
import type { Handle } from './Onfido';
export type LoaderParameter = {
    /**
     * This is a developer feature, if the sdk is hosted on a different url
     * @deprecated
     * @type {string}
     */
    sdkUrl?: string;
    /**
     * The version of the sdk to be loaded, by default v14 is used, which
     * is always fresh. Valid examples are 14 (default), 14.x (which pins the version to a minor version
     * and still accepts hotfixes or 14.x.y which pins it to exactly this version
     */
    version?: string;
};
export declare const prefixVersion: (version?: string) => string;
export declare const Onfido: {
    init(parameter: SdkParameters & LoaderParameter): Handle;
};
